# Copyscape

## CONTENTS OF THIS FILE

- Introduction
- Requirements
- Installation
- Configuration
- Maintainers


## INTRODUCTION

This module integrates your site with Google Indexing API to update Google Index

The Indexing API module allows any site owner to directly notify Google when pages are added or removed.

From the Google's website:

``The Indexing API allows site owners to directly notify Google when their job posting or livestreaming video pages are added or removed. This allows Google to schedule pages for a fresh crawl, which can lead to higher quality user traffic. The Indexing API can only be used to crawl pages with either JobPosting or BroadcastEvent embedded in a VideoObject. For websites with many short-lived pages like job postings or livestream videos, the Indexing API keeps content fresh in search results because it allows updates to be pushed individually.``

## REQUIREMENTS

This module requires no modules outside of Drupal core.

Full functionality of this module requires an account on [Google Cloud APIs](https://cloud.google.com/apis/docs/overview)

## INSTALLATION

Install the Copyscape module with `composer` as you would normally install a contributed Drupal
module. Visit https://www.drupal.org/docs/develop/using-composer/manage-dependencies for further information.


## CONFIGURATION

1. Install the Indexing API module with composer as you would normally install a contributed Drupal
module. Visit https://www.drupal.org/docs/develop/using-composer/manage-dependencies for further information.

2. Navigate to /admin/config/services/indexing-api (Home Administration Configuration Web services) and fill out the required information.

After that, every page that is added or removed in your site will be notified to Google for faster indexing of your actual content

## MAINTAINERS

- Adrian ABABEI (web247) - https://www.drupal.org/u/web247

Project maintained and supported by:

- Optasy - https://www.drupal.org/optasy-0
- ALLWEB247 - https://www.drupal.org/allweb247
- Optasy - https://www.drupal.org/optasy
- danrod - https://www.drupal.org/u/danrod
